
#ifndef MAKEPAL_H

#define MAKEPAL_H


/*

  This file contains data structure initialization and class methods
  for the GL_palette object.

  This code is lifted directly out of "OpenGL I: Quick Start", by
  Dale Rogerson, Microsoft Developer Network Library.

*/


//
// Support for generating RGB color palette
//
//
// This class is based on Dale Rogerson's palette code from 
// OpenGL I: Quick Start.  It uses Microsoft's bogus naming convention,
// as a result.
//

class GL_palette {
 private:
  static unsigned char   m_oneto8[2];
  static unsigned char   m_twoto8[4];
  static unsigned char   m_threeto8[8];
  static int             m_defaultOverride[13];
  static PALETTEENTRY    m_defaultPalEntry[20];
  CPalette* m_pPal ;	 //Palette


 private:
  unsigned char ComponentFromIndex(int i, UINT nbits, UINT shift) ;

 public:
  GL_palette(void) { m_pPal = NULL; }
  ~GL_palette(void) { if (m_pPal != NULL) delete m_pPal; }
  BOOL CreateRGBPalette(HDC hDC);
  CPalette* get_pPal(void) { return m_pPal; }
};


#endif
