
#include "makepal.h"
#include "pyrdisp.h"


/////////////////////////////////////////////////////////////////////////////
//
// sier2View.h : interface of the CSier2View class
//
/////////////////////////////////////////////////////////////////////////////

class CSier2View : public CView
{
// Private class variables
private:
  GL_palette pal;

// Private class functions
private:
  void set_dxf_write(void);
  void set_rotate(void);
  void stop_rotate(void);
  void make_new_pyramid( unsigned int power );
  void OutputGlError(char* label);

protected: // create from serialization only
	CSier2View();
	DECLARE_DYNCREATE(CSier2View)

// Attributes
public:
	CSier2Doc* GetDocument();
	HGLRC m_hrc ; 	// OpenGL Hardware Rendering Context
	pyr_display sier;

// Operations
public:
  void spinDisplay(void);

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CSier2View)
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	virtual void OnInitialUpdate();
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CSier2View();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif


protected:


// Generated message map functions
protected:
	//{{AFX_MSG(CSier2View)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg BOOL OnEraseBkgnd(CDC* pDC);
	afx_msg void OnPower0();
	afx_msg void OnPower1();
	afx_msg void OnPower2();
	afx_msg void OnPower3();
	afx_msg void OnPower4();
	afx_msg void OnPower5();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};



#ifndef _DEBUG  // debug version in sier2View.cpp
inline CSier2Doc* CSier2View::GetDocument()
   { return (CSier2Doc*)m_pDocument; }
#endif


/////////////////////////////////////////////////////////////////////////////
